/*
**	Apple Macintosh Developer Technical Support
**
**	StandardFileIcons: A sample control panel changing behavior of StandardFile.
**
**	by Gordon Sheridan and Jim Luther
**  modified by Brian Bechtel
**
**	File:		RamCDev.h
**
**	Copyright  1992-1994 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "DTS Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
**
**	Change History (most recent first):
**
**		 <1>	 6/13/93	gs		Clean up format.
**/

#include "RamDisk.h"

enum{	iCheckBox = 1, iEditText, iSizeBar, iPict, iMaxSize, iCurSize };

typedef struct
{
	ConfigRecHandle	config;
	DialogPtr		dlgPtr;
	short			dlgItems;
	long			sizepos;
	long			cursize;
	long			maxsize;
	PicHandle		sizePict;
	Str15			curStr;
	Str15			maxStr;
} RDataStorage, *RDataPtr, **RDataHdl;


RDataHdl	DoInit (DialogPtr CPDialog, short numItems);
RDataHdl	DoNul (RDataHdl hData);
RDataHdl	DoHit (RDataHdl hData, short item);
RDataHdl	DoClose (RDataHdl hData);
RDataHdl	DoUpdate (RDataHdl hData);
RDataHdl	DoActive (RDataHdl hData);
RDataHdl	DoDeactive (RDataHdl hData);
RDataHdl	DoKeyEvent (RDataHdl hData,DialogPtr CPDialog,EventRecord *event);

void 		DrawItem (RDataHdl hData, short item);

Handle		IGetHand (RDataHdl hData, short item);
void		IGetRect (RDataHdl hData, short item, Rect *itemRect);
void		IInvalidate (RDataHdl hData, short item);

short		UpdateSysz (ConfigRecHandle config);