/*
**	Apple Macintosh Developer Technical Support
**
**	StandardFileIcons: A sample control panel changing behavior of StandardFile.
**
**	by Gordon Sheridan and Jim Luther
**  modified by Brian Bechtel
**
**	File:		RamCDev.r
**
**	Copyright  1992-1994 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "DTS Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
**
**	Change History (most recent first):
**
**		 <3>	08/10/94	BLB	Added 'vers' resources.  Removed private
**									definitions of nrct and mach resources.
**		 <2>	10/19/93	JML		Changed icons. There are now 4 icon families:
**		 							control panel OK, no install control panel,
**									disk media, and physical location.
**		 <1>	 6/13/93	gs		Add "No Install" icon.
**		<0+>	 10/2/92	gs		Add "No Install" icon.
**/

#include "Pict.r"
#include "Types.r"
#include "SysTypes.r"

#include "RamDisk.h"

type 'RDsk' as 'STR ';

resource 'RDsk' (rCDevSignature, purgeable)
{
	"Ram Disk,  1992-1994 by Apple Computer, Inc., all rights reserved."
};

resource 'BNDL' (rCdev, purgeable)
{
	'RDsk', 0,
	{
		'ICN#', {0, rCdev},
		'FREF', {0, rCdev}
	}
};

resource 'ICN#' (rCdev) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 8000 0001 BBBB BBB9 AAAA AAA9"
		$"AAAA AAA9 BFFF FFF9 A000 0009 A01F C009"
		$"A014 A009 A017 9019 A010 1021 A017 D021"
		$"A014 5021 A014 5019 A014 5009 A01F F009"
		$"A000 0009 BFFF FFF9 AAAA AAA9 AAAA AAA9"
		$"BBBB BBB9 8000 0001 8000 0001 FFFF FFFF"
		$"8000 0001 8003 C001 8FFE 7FF1 9002 4009"
		$"8FFE 7FF1 8003 C001 8000 0001 FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (rLoadBadIcon) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF F000 000F FBBB BBBF FEAA AABF"
		$"BEAA AAFD BFFF FFF9 AF80 01F9 A7DF C3E9"
		$"A3F4 A7C9 A1F7 9F99 A0F8 1F21 A07F FE21"
		$"A03E 7C21 A01F F819 A01F F009 A01F F009"
		$"A007 E009 BFFF FFF9 AABF FAA9 AABE FEA9"
		$"BBFF BFB9 80F8 1F01 81F0 0F81 FFFF FFFF"
		$"87C0 03E1 8F83 C1F1 9FFE 7FF9 BE02 407D"
		$"FFFE 7FFF F803 C01F F000 000F FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (rPhysicalIcon) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 EEEE EEEE"
		$"AAAA AAAA AAAA AAAA FFFF FFFE 8000 0002"
		$"8000 0002 801F C002 8014 A002 8017 9006"
		$"8010 1008 8017 D008 8014 5008 8014 5006"
		$"8014 5002 801F F002 8000 0002 8000 0002"
		$"FFFF FFFE AAAA AAAA AAAA AAAA EEEE EEEE"
		$"0000 0000 0001 0000 0003 8000 0007 C000"
		$"000F E000 0003 8000 0003 8000 0003 80",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 EEEE EEEE"
		$"EEEE EEEE EEEE EEEE FFFF FFFE FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"
		$"FFFF FFFE EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 0001 0000 0003 8000 0007 C000"
		$"000F E000 0003 8000 0003 8000 0003 80"
	}
};

resource 'ICN#' (rMediaIcon) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 EEEE EEEE AAAA AAAA"
		$"AAAA AAAA FFFF FFFE 8000 0002 8000 0002"
		$"801F C002 8014 A002 8017 9006 8010 1008"
		$"8017 D008 8014 5008 8014 5006 8014 5002"
		$"801F F002 8000 0002 8000 0002 FFFF FFFE"
		$"AAAA AAAA AAAA AAAA EEEE EEEE",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 EEEE EEEE EEEE EEEE"
		$"EEEE EEEE FFFF FFFE FFFF FFFE FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFFE FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"
		$"EEEE EEEE EEEE EEEE EEEE EEEE"
	}
};

resource 'icl8' (rCdev) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 FFFF FFF6 FFFF FFF6 FFFF FFF6 FFFF"
	$"FFF6 FFFF FFF6 FFFF FFF6 FFFF FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A00 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF FFFF FFFF"
	$"FFFF 002A 002A 002A 002A 002A FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2AFF 00FF 0000"
	$"FF00 FF00 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF 00FF FFFF"
	$"FF00 00FF 002A 002A 002A 00FF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2AFF 0000 0000"
	$"0000 00FF 2A00 2A00 2A00 FFF6 F6F6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF 00FF FFFF"
	$"FFFF 00FF 002A 002A 002A FFF6 F6F6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2AFF 00FF 0000"
	$"00FF 00FF 2A00 2A00 2A00 FFF6 F6F6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF 00FF 0000"
	$"00FF 00FF 002A 002A 002A 00FF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2AFF 00FF 0000"
	$"00FF 00FF 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF FFFF FFFF"
	$"FFFF FFFF 002A 002A 002A 002A FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A00 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FFFF FFF6 FFFF FFF6 FFFF FFF6 FFFF"
	$"FFF6 FFFF FFF6 FFFF FFF6 FFFF FFF6 F6FF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFFA FAFA FAFA FAFA FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA FAFA FAFA FAFA FAFF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 0000"
	$"00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6FB FAFA FAFA FAFA FAFA FAFA 00F6"
	$"F6FF FFFA FAFA FAFA FAFA FAFA F6F6 F6FF"
	$"FF00 F6FB F8F8 F8F8 F8F8 F8F8 F8F8 00F6"
	$"F6FF FAF8 F8F8 F8F8 F8F8 F8F8 00F6 F6FF"
	$"FF00 F6F6 0000 0000 0000 0000 0000 00F6"
	$"F6FF F800 0000 0000 0000 0000 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFFF F8F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F8F8"
	$"F8F8 F8F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (rLoadBadIcon) {
	$"D8D8 D8FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFD8 D8D8"
	$"D8D8 D8D8 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 D8D8 D8D8"
	$"D8D8 D8D8 D8F6 FFFF FFF6 FFFF FFF6 FFFF"
	$"FFF6 FFFF FFF6 FFFF FFF6 FFD8 D8D8 D8D8"
	$"FFD8 D8D8 D8D8 FF00 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFF6 D8D8 D8D8 D8FF"
	$"FFF6 D8D8 D8D8 D800 FFF6 FF00 FFF6 FF00"
	$"FFF6 FF00 FFF6 FF00 FFD8 D8D8 D8D8 F6FF"
	$"FFF6 FFD8 D8D8 D8D8 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF D8D8 D8D8 D8F6 F6FF"
	$"FFF6 FF00 D8D8 D8D8 D800 2A00 2A00 2A00"
	$"2A00 2A00 2A00 2AD8 D8D8 D8D8 FFF6 F6FF"
	$"FFF6 FF2A 00D8 D8D8 D8D8 00FF FFFF FFFF"
	$"FFFF 002A 002A D8D8 D8D8 D82A FFF6 F6FF"
	$"FFF6 FF00 2A00 D8D8 D8D8 D8FF 00FF 0000"
	$"FF00 FF00 2AD8 D8D8 D8D8 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A 00D8 D8D8 D8D8 00FF FFFF"
	$"FF00 00FF D8D8 D8D8 D82A 00FF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 D8D8 D8D8 D800 0000"
	$"0000 00D8 D8D8 D8D8 2A00 FFF6 F6F6 F6FF"
	$"FFF6 FF2A 002A 002A 00D8 D8D8 D8D8 FFFF"
	$"FFFF D8D8 D8D8 D82A 002A FFF6 F6F6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 D8D8 D8D8 D800"
	$"00D8 D8D8 D8D8 2A00 2A00 FFF6 F6F6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00D8 D8D8 D8D8"
	$"D8D8 D8D8 D82A 002A 002A 00FF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2AFF D8D8 D8D8"
	$"D8D8 D8D8 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A 002A 002A 00FF FFD8 D8D8"
	$"D8D8 D8FF 002A 002A 002A 002A FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2A00 2AD8 D8D8"
	$"D8D8 D800 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF D8D8 D8D8"
	$"D8D8 D8D8 FFFF FFFF FFFF FFFF FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 FFD8 D8D8 D8D8"
	$"D8D8 D8D8 D8F6 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FF00 FFF6 FF00 FFF6 D8D8 D8D8 D800"
	$"FFD8 D8D8 D8D8 FF00 FFF6 FF00 FFF6 F6FF"
	$"FFF6 FFFF FFF6 FFFF FFD8 D8D8 D8D8 FFFF"
	$"FFF6 D8D8 D8D8 D8FF FFF6 FFFF FFF6 F6FF"
	$"FFF6 F6F6 F6F6 F6F6 D8D8 D8D8 D8F6 F6F6"
	$"F6F6 F6D8 D8D8 D8D8 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 F6F6 F6F6 F6D8 D8D8 D8D8 F6F6 F6F6"
	$"F6F6 F6F6 D8D8 D8D8 D8F6 F6F6 F6F6 F6FF"
	$"FFFA FAFA FAFA D8D8 D8D8 D8FA FAFA FAFA"
	$"FAFA FAFA FAD8 D8D8 D8D8 FAFA FAFA FAFF"
	$"FF00 0000 00D8 D8D8 D8D8 0000 0000 0000"
	$"0000 0000 0000 D8D8 D8D8 D800 0000 00FF"
	$"FF00 F6F6 D8D8 D8D8 D8F6 F6F6 F6F6 0000"
	$"00FF F6F6 F6F6 F6D8 D8D8 D8D8 F6F6 F6FF"
	$"FF00 F6D8 D8D8 D8D8 FAFA FAFA FAFA 00F6"
	$"F6FF FFFA FAFA FAFA D8D8 D8D8 D8F6 F6FF"
	$"FF00 D8D8 D8D8 D8F8 F8F8 F8F8 F8F8 00F6"
	$"F6FF FAF8 F8F8 F8F8 F8D8 D8D8 D8D8 F6FF"
	$"FFD8 D8D8 D8D8 0000 0000 0000 0000 00F6"
	$"F6FF F800 0000 0000 0000 D8D8 D8D8 D8FF"
	$"D8D8 D8D8 D8F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFFF F8F6 F6F6 F6F6 F6F6 F6D8 D8D8 D8D8"
	$"D8D8 D8D8 F6F6 F6F6 F6F6 F6F6 F6F6 F8F8"
	$"F8F8 F8F6 F6F6 F6F6 F6F6 F6F6 D8D8 D8D8"
	$"D8D8 D8FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFD8 D8D8"
};

resource 'icl4' (rCdev) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F"
	$"F0FF F0FF F0FF F0FF F0FF F0FF F0FF F0CF"
	$"FCF0 FCF0 FCF0 FCF0 FCF0 FCF0 FCF0 FC0F"
	$"F0F0 F0F0 F0F0 F0F0 F0F0 F0F0 F0F0 F0CF"
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC0F"
	$"F0F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 F0CF"
	$"FCFC 0C0C 0C0F FFFF FF0C 0C0C 0C0C FC0F"
	$"F0F0 C0C0 C0CF 0F00 F0F0 C0C0 C0C0 F0CF"
	$"FCFC 0C0C 0C0F 0FFF F00F 0C0C 0C0F FC0F"
	$"F0F0 C0C0 C0CF 0000 000F C0C0 C0F0 C0CF"
	$"FCFC 0C0C 0C0F 0FFF FF0F 0C0C 0CFC 0C0F"
	$"F0F0 C0C0 C0CF 0F00 0F0F C0C0 C0F0 C0CF"
	$"FCFC 0C0C 0C0F 0F00 0F0F 0C0C 0C0F FC0F"
	$"F0F0 C0C0 C0CF 0F00 0F0F C0C0 C0C0 F0CF"
	$"FCFC 0C0C 0C0F FFFF FFFF 0C0C 0C0C FC0F"
	$"F0F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 F0CF"
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC0F"
	$"F0F0 F0F0 F0F0 F0F0 F0F0 F0F0 F0F0 F0CF"
	$"FCF0 FCF0 FCF0 FCF0 FCF0 FCF0 FCF0 FC0F"
	$"F0FF F0FF F0FF F0FF F0FF F0FF F0FF F0CF"
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F"
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0CF"
	$"FDDD DDDD DDDD DDDD DDDD DDDD DDDD DDDF"
	$"F000 0000 0000 0000 0000 0000 0000 000F"
	$"F00C 0C0C 0C0C 0C00 0F0C 0C0C 0C0C 0C0F"
	$"F0CE DDDD DDDD DD00 CFFD DDDD DDDD C0CF"
	$"F00E CDCD CDCD CD0C 0FDD CDCD CDCD 0C0F"
	$"F0C0 0000 0000 0000 CFD0 0000 0000 C0CF"
	$"F00C 0C0C 0C0C 0CFF FFCC 0C0C 0C0C 0C0F"
	$"F0C0 C0C0 C0C0 C0DC DCD0 C0C0 C0C0 C0CF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (rLoadBadIcon) {
	$"333F FFFF FFFF FFFF FFFF FFFF FFFF F333"
	$"3333 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 3333"
	$"3333 30FF F0FF F0FF F0FF F0FF F0F3 3333"
	$"F333 33F0 FCF0 FCF0 FCF0 FCF0 FC33 333F"
	$"F033 3330 F0F0 F0F0 F0F0 F0F0 F333 33CF"
	$"FCF3 3333 FFFF FFFF FFFF FFFF 3333 3C0F"
	$"F0F0 3333 30C0 C0C0 C0C0 C0C3 3333 F0CF"
	$"FCFC 0333 330F FFFF FF0C 0C33 333C FC0F"
	$"F0F0 C033 333F 0F00 F0F0 C333 33C0 F0CF"
	$"FCFC 0C03 3333 0FFF F00F 3333 3C0F FC0F"
	$"F0F0 C0C0 3333 3000 0003 3333 C0F0 C0CF"
	$"FCFC 0C0C 0333 33FF FF33 333C 0CFC 0C0F"
	$"F0F0 C0C0 C033 3330 0333 33C0 C0F0 C0CF"
	$"FCFC 0C0C 0C03 3333 3333 3C0C 0C0F FC0F"
	$"F0F0 C0C0 C0CF 3333 3333 C0C0 C0C0 F0CF"
	$"FCFC 0C0C 0C0F F333 333F 0C0C 0C0C FC0F"
	$"F0F0 C0C0 C0C0 C333 3330 C0C0 C0C0 F0CF"
	$"FCFF FFFF FFFF 3333 3333 FFFF FFFF FC0F"
	$"F0F0 F0F0 F0F3 3333 3333 30F0 F0F0 F0CF"
	$"FCF0 FCF0 FC33 3330 F333 33F0 FCF0 FC0F"
	$"F0FF F0FF F333 33FF F033 333F F0FF F0CF"
	$"FC0C 0C0C 3333 3C0C 0C03 3333 0C0C 0C0F"
	$"F0C0 C0C3 3333 C0C0 C0C0 3333 30C0 C0CF"
	$"FDDD DD33 333D DDDD DDDD D333 33DD DDDF"
	$"F000 0333 3300 0000 0000 0033 3330 000F"
	$"F00C 3333 3C0C 0C00 0F0C 0C03 3333 0C0F"
	$"F0C3 3333 DDDD DD00 CFFD DDDD 3333 30CF"
	$"F033 333D CDCD CD0C 0FDD CDCD C333 330F"
	$"F333 3300 0000 0000 CFD0 0000 0033 333F"
	$"3333 3C0C 0C0C 0CFF FFCC 0C0C 0C03 3333"
	$"3333 C0C0 C0C0 C0DC DCD0 C0C0 C0C0 3333"
	$"333F FFFF FFFF FFFF FFFF FFFF FFFF F333"
};

resource 'ics#' (rCdev) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF 8001 AAA9 BFF9 A009 A389 A291 A389"
		$"A009 BFF9 AAA9 8001 8081 9EF9 8181 FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ics8' (rCdev) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 FFF6 FFF6 FFF6 FFF6 FFF6 FFF6 F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FF2A 002A FFFF FF2A 002A FFF6 F6FF"
	$"FFF6 FF00 2A00 FF00 FF00 2AFF F6F6 F6FF"
	$"FFF6 FF2A 002A FFFF FF2A 002A FFF6 F6FF"
	$"FFF6 FF00 2A00 2A00 2A00 2A00 FFF6 F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFF6 F6FF"
	$"FFF6 FFF6 FFF6 FFF6 FFF6 FFF6 FFF6 F6FF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 F6F6 F6F6 F6F6 FFF6 F6F6 F6F6 F6FF"
	$"FFF6 F6FF FFFF FFF6 FFFF FFFF FFF6 F6FF"
	$"FFF6 F6F6 F6F6 F6FF FFF6 F6F6 F6F6 F6FF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (rCdev) {
	$"FFFF FFFF FFFF FFFF FC0C 0C0C 0C0C 0C0F"
	$"F0F0 F0F0 F0F0 F0CF FCFF FFFF FFFF FC0F"
	$"F0F0 C0C0 C0C0 F0CF FCFC 0CFF FC0C FC0F"
	$"F0F0 C0F0 F0CF C0CF FCFC 0CFF FC0C FC0F"
	$"F0F0 C0C0 C0C0 F0CF FCFF FFFF FFFF FC0F"
	$"F0F0 F0F0 F0F0 F0CF FC0C 0C0C 0C0C 0C0F"
	$"F0C0 C0C0 F0C0 C0CF FC0F FFFC FFFF FC0F"
	$"F0C0 C0CF F0C0 C0CF FFFF FFFF FFFF FFFF"
};

resource 'STR#' (rStringList) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"in RAM",
		/* [2] */
		"RamDisk"
	}
};

resource 'FREF' (rCdev, purgeable)
{
	'cdev', 0, ""
};

resource 'mach' (rCdev, purgeable)
{
	0xFFFF,
	0x0000
};

resource 'nrct' (rCdev, purgeable)
{
	{ // RectArray: 1 element
		{ -1,87,170,322};
	}
};

resource 'DITL' (rCdev, purgeable) {
	{	/* array DITLarray: 4 elements */

		{100, 110, 122, 245}, Control { enabled, rCDevCheckbox },
		{130, 110, 145, 240}, EditText { enabled, "RamDisk" },
		{18, 273, 147, 290}, UserItem { enabled },
		{4, 102, 95, 246}, Picture  { disabled, rCDevLogoPICT },
		{2, 257, 17, 303},UserItem {disabled},
		{148, 257, 163, 303},UserItem {disabled},
	}
};

resource 'CNTL' (rCDevCheckbox)
{
	{89, 105, 111, 240}, 0, visible,1,0,checkBoxProcUseWFont,0,
	"Install ram disk at startup?"
};

resource 'PICT' (rCDevLogoPICT, "RamDisk") {
	{314, 218, 407, 359},
	VersionOne {
		{	/* array OpCodes: 5 elements */
			/* [1] */
			ShortComment {
				12345
			},
			/* [2] */
			ShortComment {
				130
			},
			/* [3] */
			ClipRgn {
				{0, 0, 720, 576},
				$""
			},
			/* [4] */
			PackBitsRect {
				20,
				{314, 212, 407, 364},
				{314, 218, 407, 359},
				{314, 218, 407, 359},
				srcCopy,
				$"1410 0003 FFFF FC00 3FFF FFFC 00FF C3FF"
				$"F87F FFFE 0015 0500 07FF FFFC 00FE FF08"
				$"FC00 FFF3 FFFE 7FFF C0FF 0015 0500 07FF"
				$"FFFC 01FE FF08 FC00 FFFB FFFF 7FFF E0FF"
				$"0012 0500 07FF FFFC 03FE FF01 FC00 FBFF"
				$"00F0 FF00 1205 0007 FFFF FC07 FEFF 01FC"
				$"00FB FF00 F0FF 0012 0500 07FF FFFC 0FFE"
				$"FF01 FC00 FBFF 00F8 FF00 1205 0007 FFFF"
				$"FC0F FEFF 01FC 00FB FF00 F8FF 0012 0500"
				$"07FF FFFC 1FFE FF01 FC00 FBFF 00F8 FF00"
				$"1205 0007 FFFF FC1F FEFF 01FC 00FB FF00"
				$"F8FF 0012 0500 07FF FFFC 1FFE FF01 FC00"
				$"FBFF 00F8 FF00 1511 0007 FFF0 001F FFE1"
				$"FFFC 00FF FE1F FFC3 FFF8 FF00 1511 0007"
				$"FFF0 001F FFC1 FFFC 00FF FE1F FFC3 FFF8"
				$"FF00 1511 0007 FFF0 001F FFC1 FFFC 00FF"
				$"FE1F FFC3 FFF8 FF00 1511 0007 FFF0 001F"
				$"FFC1 FFFC 00FF FE1F FFC3 FFF8 FF00 1511"
				$"0007 FFF0 001F FFE1 FFFC 00FF FE1F FFC3"
				$"FFF8 FF00 1505 0007 FFF0 001F FEFF 08FC"
				$"00FF FE1F FFC3 FFF8 FF00 1505 0007 FFF0"
				$"001F FEFF 08FC 00FF FE1F FFC3 FFF8 FF00"
				$"1505 0007 FFF0 001F FEFF 08FC 00FF FE1F"
				$"FFC3 FFF8 FF00 1505 0007 FFF0 000F FEFF"
				$"08FC 00FF FE1F FFC3 FFF8 FF00 1505 0007"
				$"FFF0 000F FEFF 08FC 00FF FE1F FFC3 FFF8"
				$"FF00 1505 0007 FFF0 0007 FEFF 08FC 00FF"
				$"FE1F FFC3 FFF8 FF00 1505 0007 FFF0 0003"
				$"FEFF 08FC 00FF FE1F FFC3 FFF8 FF00 1505"
				$"0007 FFF0 0001 FEFF 08FC 00FF FE1F FFC3"
				$"FFF8 FF00 1505 0007 FFF0 0000 FEFF 08FC"
				$"00FF FE1F FFC3 FFF8 FF00 1511 0007 FFF0"
				$"0000 3FFF FFFC 00FF FE1F FFC3 FFF8 FF00"
				$"02ED 0002 ED00 02ED 0002 ED00 02ED 0002"
				$"ED00 02ED 0002 ED00 1500 03FE FF0F C000"
				$"1FFF C000 001F FFC1 FFF8 0FFF E000 1500"
				$"03FE FF0F F000 1FFF C000 007F FFC1 FFF8"
				$"1FFF C000 1500 03FE FF0F F800 1FFF C000"
				$"01FF FFC1 FFF8 3FFF 8000 1500 03FE FF0D"
				$"FC00 1FFF C000 01FF FFC1 FFF8 7FFF FF00"
				$"1500 03FE FF0D FE00 1FFF C000 03FF FFC1"
				$"FFF8 FFFE FF00 1400 03FD FF0C 001F FFC0"
				$"0003 FFFF C1FF F9FF FCFF 0014 0003 FDFF"
				$"0C00 1FFF C000 07FF FFC1 FFFB FFF8 FF00"
				$"1400 03FD FF08 801F FFC0 0007 FFFF C1FE"
				$"FF00 F0FF 0014 0003 FDFF 0880 1FFF C000"
				$"07FF FFC1 FEFF 00E0 FF00 1400 03FD FF08"
				$"801F FFC0 0007 FFFF C1FE FF00 C0FF 0015"
				$"0D03 FFF8 7FFF 801F FFC0 0007 FFC0 01FE"
				$"FF00 80FF 0013 0D03 FFF8 3FFF 801F FFC0"
				$"000F FF00 01FE FFFE 0014 1003 FFF8 3FFF"
				$"801F FFC0 000F FE00 01FF FFFE FE00 130D"
				$"03FF F83F FF80 1FFF C000 1FFE 0001 FEFF"
				$"FE00 150D 03FF F87F FF80 1FFF C000 7FFC"
				$"0001 FEFF 0080 FF00 1400 03FD FF08 801F"
				$"FFC0 FFFF FC00 01FE FF00 C0FF 0014 0003"
				$"FDFF 0880 1FFF C0FF FFFC 0001 FEFF 00E0"
				$"FF00 1400 03FD FF08 801F FFC0 FFFF FC00"
				$"01FE FF00 F0FF 0014 0003 FDFF 0C00 1FFF"
				$"C0FF FFFC 0001 FFFB FFF8 FF00 1400 03FD"
				$"FF0C 001F FFC0 FFFF F800 01FF F9FF FCFF"
				$"0015 0003 FEFF 0DFE 001F FFC0 FFFF F800"
				$"01FF F8FF FEFF 0015 0003 FEFF 0DFC 001F"
				$"FFC0 FFFF F000 01FF F87F FFFF 0015 0003"
				$"FEFF 0FF8 001F FFC0 FFFF F000 01FF F83F"
				$"FF80 0015 0003 FEFF 0FF0 001F FFC0 FFFF"
				$"C000 01FF F81F FFC0 0015 0003 FEFF 0FC0"
				$"001F FFC0 FFFF 0000 01FF F80F FFE0 0002"
				$"ED00 07FC 0001 01E0 F400 0EFC 0008 0210"
				$"10E3 8E00 871C F8FB 000E FC00 0804 C831"
				$"1451 0188 A210 FB00 0EFC 0008 0508 1114"
				$"4100 88A2 20FB 000E FC00 0805 0810 F3C2"
				$"7887 9E70 FB00 0EFC 0008 04C8 1010 4400"
				$"8082 08FB 000E FC00 0802 1010 2088 0081"
				$"0488 FB00 0EFC 0008 01E0 10C3 1F00 8618"
				$"70FB 0002 ED00 02ED 0002 ED00 02ED 0002"
				$"ED00 0FFD 0003 4001 801C FE00 0280 0004"
				$"FB00 0FFD 0003 4000 8022 FE00 0280 0004"
				$"FB00 10FD 000A A738 9820 6767 25CC B005"
				$"C6FC 000F FD00 FEA4 0720 9494 A492 C005"
				$"29FC 0011 FE00 0B01 F4A4 BC20 9494 A49E"
				$"8005 28FC 0011 FE00 0B01 14A4 A022 9494"
				$"A490 8005 29FC 0012 FE00 0C01 1738 981C"
				$"6497 1C4C 8105 2620 FD00 0EFD 0001 0420"
				$"FE00 0304 0000 01FA 000E FD00 0104 20FE"
				$"0003 0400 0002 FA00 02ED 0002 ED00 02ED"
				$"0010 FD00 0608 D878 8104 00F0 FD00 0080"
				$"FD00 10FD 0006 0848 4401 0400 88FD 0000"
				$"80FD 0011 FD00 0B14 4845 9DCE 7089 8E65"
				$"A263 80FD 0011 FD00 0B14 4878 A524 80F2"
				$"5096 1494 80FD 0011 FD00 0B3E 4850 A524"
				$"60A3 CCF4 14F4 80FD 0011 FD00 0B22 4848"
				$"A524 1092 0284 0884 80FD 0011 FD00 0B22"
				$"4844 9D22 E089 9C64 0863 80FD 0006 FA00"
				$"0004 F500 06FA 0000 18F5 00"
			},
			/* [5] */
			ShortComment {
				131
			}
		}
	}
};

resource 'PICT' (rCDevSizeBarPICT, "SizeBar") {
	{56, 312, 185, 329},
	VersionOne {
		{	/* array OpCodes: 2 elements */
			/* [1] */
			clipRgn {
				{0, 0, 342, 512},
				$""
			},
			/* [2] */
			bitsRect {
				4,
				{56, 312, 185,3336},
				{56, 312, 185, 329},
				{56, 312, 185, 329},
				srcCopy,
				$"FFFF 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"8AA8 8000 8000 8000 8000 8000 8000 8000"
				$"8000 8000 8000 8000 8000 8000 8000 8000"
				$"FFFF 8000"
			}
		}
	}
};

resource 'vers' (2) {
	0x1,
	0x1,
	release,
	0x0,
	verUS,
	"1.1",
	"DTS Sample Code"
};

resource 'vers' (1) {
	0x1,
	0x1,
	release,
	0x0,
	verUS,
	"1.1",
	"1.1 by Gordon Sheridan, Jim Luther & Brian Bechtel"
};

